GET/Drives/{driveId}/files/{fileId}/versions/{versionId}
Returns one version of a file, with its comments, reviews and download addresses for its formats. The
version id comes from Drives_GetFile. Needs read, edit or admin access to the file's location.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| versionId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| versionTag | string| null | |
| createdDate | date-time | |
| status | string| null | |
| comments | GetFileVersionResponseComment[]| null | |
| reviews | GetFileVersionResponseReview[]| null | |
| formats | GetFileVersionResponseFormat[]| null | |
| Field | Type | Description |
|---|
| id | uuid | |
| userId | uuid | |
| userName | string| null | |
| timeStamp | date-time | |
| content | string| null | |
GetFileVersionResponseReview
| Field | Type | Description |
|---|
| id | uuid | |
| reviewerId | uuid | |
| crewId | uuid | |
| reviewerName | string| null | |
| response | string| null | |
| Field | Type | Description |
|---|
| id | uuid | |
| type | string| null | |
| size | integer | |
| uri | uri| null | |